# Overview

This page provides links for the different sections of this documentation. You can start with one of the examples if you want to try out the package or create your own network via [*MeshGraphNets.jl*](https://github.com/una-auxme/MeshGraphNets.jl) for your use case.

References for training strategies and the core package [*GraphNetCore.jl*](https://github.com/una-auxme/GraphNetCore.jl) are also listed.

**Getting Started**

- [Training Data](https://una-auxme.github.io/MeshGraphNets.jl/dev/training_data): Overview on how your data for training, evaluating and testing the system should be structured.
- [Training & Evaluation](https://una-auxme.github.io/MeshGraphNets.jl/dev/train_eval): Overview on how to train and evaluate your network.

**Examples**

- [CylinderFlow](https://una-auxme.github.io/MeshGraphNets.jl/dev/cylinder_flow): Example use case provided by [Google DeepMind](https://deepmind.google/) in their corresponding [repository](https://github.com/google-deepmind/deepmind-research/tree/master/meshgraphnets).

**Reference**

- [Training Strategies](https://una-auxme.github.io/MeshGraphNets.jl/dev/strategies): Different training strategies that can be used for training.
- [Utilities](https://una-auxme.github.io/MeshGraphNets.jl/dev/util): Utility functions for better user experience.
- [GraphNetCore.jl](https://una-auxme.github.io/MeshGraphNets.jl/dev/graph_net_core): Documentation of the core package.